Subject: pkg/14490: ups-nut pkg should be updated to new config style
To: None <>
From: Martin Husemann <>
List: netbsd-bugs
Date: 11/06/2001 21:54:18
>Number:         14490
>Category:       pkg
>Synopsis:       ups-nut pkg should be updated to new config style
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          change-request
>Submitter-Id:   net
>Arrival-Date:   Tue Nov 06 12:55:00 PST 2001
>Originator:     Martin Husemann
>Release:        NetBSD 1.5Y
System: NetBSD 1.5Y NetBSD 1.5Y (PORTER) #0: Sun Nov 4 10:29:18 MET 2001 i386
Architecture: i386
Machine: i386

The sysutils/ups-nut pkg is outdated vs. his rc.d support and the config
files. There now is an upsdrvctl that should be run in rc.d/upsd to start
all configured ups drivers (or stop them). Unfortunately this program
does not work at all (/usr/local path compiled into it instead of ${PREFIX})
and the upsd rc.d script is too old. It requires duplication of configuration
options from /usr/pkg/etc/nut/ups.conf and should be redone from scratch
with the new upsdrvctl - after that is fixed.

This will greatly improve ease of installation.

code inspection.

I'll provide one, but have no time right now. If anyone feels like handling
this before I come around to it, feel free...